Withdraw
curl --request PUT \
--url https://api-bluvo.com/v0/wallet/withdraw/{quoteId}/execute \
--header 'Content-Type: application/json' \
--header 'x-bluvo-api-key: <api-key>' \
--header 'x-bluvo-org-id: <api-key>' \
--header 'x-bluvo-project-id: <api-key>' \
--header 'x-bluvo-wallet-id: <api-key>' \
--data '
{
"twofa": "<string>",
"emailCode": "<string>",
"smsCode": "<string>",
"bizNo": "<string>",
"tag": "<string>",
"params": {
"dryRun": true
}
}
'import requests
url = "https://api-bluvo.com/v0/wallet/withdraw/{quoteId}/execute"
payload = {
"twofa": "<string>",
"emailCode": "<string>",
"smsCode": "<string>",
"bizNo": "<string>",
"tag": "<string>",
"params": { "dryRun": True }
}
headers = {
"x-bluvo-api-key": "<api-key>",
"x-bluvo-org-id": "<api-key>",
"x-bluvo-project-id": "<api-key>",
"x-bluvo-wallet-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-bluvo-api-key': '<api-key>',
'x-bluvo-org-id': '<api-key>',
'x-bluvo-project-id': '<api-key>',
'x-bluvo-wallet-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
twofa: '<string>',
emailCode: '<string>',
smsCode: '<string>',
bizNo: '<string>',
tag: '<string>',
params: {dryRun: true}
})
};
fetch('https://api-bluvo.com/v0/wallet/withdraw/{quoteId}/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"id": "7810f95c-6612-4570-a882-d8283a9b8f4f",
"transactionId": "WD-12345-ABCDEF"
}
}{
"error": "Multiple verification steps required",
"type": "WITHDRAWAL_2FA_REQUIRED_MULTI_STEPS",
"result": {
"bizNo": "BIZ-123456",
"steps": [
{
"type": "GOOGLE",
"status": "failure",
"required": true
},
{
"type": "EMAIL",
"status": "pending",
"required": true,
"metadata": {
"email": "u***@example.com",
"emailSent": true
}
}
],
"relation": "AND",
"mfa": {
"bizNo": "BIZ-123456",
"verified": {
"EMAIL": false,
"FACE": true
},
"attempts": [
{
"method": "GOOGLE",
"status": "pending",
"createdAt": 1709836800000,
"success": false
},
{
"method": "EMAIL",
"status": "pending",
"createdAt": 1709836800000,
"success": false
}
]
}
}
}{
"error": "Insufficient permissions",
"type": "APIKEY_INSUFFICIENT_PERMISSIONS",
"missing": [
"read",
"quote",
"withdrawal"
]
}{
"error": "Quote not found",
"type": "QUOTE_NOT_FOUND"
}Withdrawals
Withdraw
Execute a withdrawal using a quote ID.
Required API Key Scopes: read, quote, withdrawal
PUT
/
v0
/
wallet
/
withdraw
/
{quoteId}
/
execute
Withdraw
Authorizations
Bluvo API Key
Bluvo Organization ID
Bluvo Project ID
Bluvo Wallet ID
Path Parameters
Query Parameters
Automatically delete the wallet if API credentials are found to be invalid during balance fetch. Defaults to true.
Body
application/json
Response
Successful response
Available options:
GENERIC_NOT_FOUND, GENERIC_UNAUTHORIZED, GENERIC_INTERNAL_SERVER_ERROR, GENERIC_VALIDATION_ERROR, GENERIC_INVALID_REQUEST, GENERIC_RATE_LIMIT_EXCEEDED, APIKEY_INSUFFICIENT_PERMISSIONS, WALLET_NOT_FOUND, WALLET_INVALID_CREDENTIALS, WALLET_IDENTITY_NOT_FOUND, QUOTE_NOT_FOUND, QUOTE_EXPIRED, WITHDRAWAL_INSUFFICIENT_BALANCE, WITHDRAWAL_INSUFFICIENT_BALANCE_FOR_FEE, WITHDRAWAL_INVALID_ADDRESS, WITHDRAWAL_NETWORK_NOT_SUPPORTED, WITHDRAWAL_TOO_MANY_ADDRESSES, WITHDRAWAL_FUNDING_ADDRESS_CONFLICT, WITHDRAWAL_AMOUNT_BELOW_MINIMUM, WITHDRAWAL_AMOUNT_ABOVE_MAXIMUM, WITHDRAWAL_ASSET_NOT_SUPPORTED, WITHDRAWAL_PROVIDER_ERROR, WITHDRAWAL_2FA_REQUIRED_TOTP, WITHDRAWAL_2FA_REQUIRED_SMS, WITHDRAWAL_2FA_REQUIRED_FACE_RECOGNITION, WITHDRAWAL_2FA_REQUIRED_EMAIL, WITHDRAWAL_2FA_REQUIRED_YUBIKEY, WITHDRAWAL_2FA_REQUIRED_PASSPHRASE, WITHDRAWAL_2FA_REQUIRED_MULTI_STEPS, WITHDRAWAL_2FA_INCOMPLETE, WITHDRAWAL_2FA_INVALID, WITHDRAWAL_2FA_METHOD_NOT_SUPPORTED, WITHDRAWAL_KYC_REQUIRED, WITHDRAWAL_EMAIL_UNVERIFIED, WITHDRAWAL_RATE_LIMIT_EXCEEDED, OAUTH_AUTHORIZATION_FAILED, OAUTH_TOKEN_EXCHANGE_FAILED, OAUTH_INVALID_STATE, OAUTH_INSUFFICIENT_SCOPE, OAUTH_QR_CODE_UNAVAILABLE, OAUTH_COUNTRY_NOT_DETECTED, OAUTH_COUNTRY_NOT_SUPPORTED, OAUTH_COUNTRY_CODE_INVALID, WEBHOOK_SIGNATURE_INVALID, WEBHOOK_MISSING_HEADERS, WEBHOOK_INVALID_TIMESTAMP, CACHE_MISS, CACHE_EXPIRED, CACHE_INVALID_PATH, DEPOSIT_NOT_IMPLEMENTED, DEPOSIT_ASSET_REQUIRED, DEPOSIT_NETWORK_REQUIRED, DEPOSIT_METHODS_UNAVAILABLE, DEPOSIT_ADDRESS_UNAVAILABLE, DEPOSIT_EXCHANGE_NOT_SUPPORTED, DEPOSIT_METHOD_NOT_RESOLVED, WITHDRAWAL_DRY_RUN_COMPLETE, TRADING_DATA_UNAVAILABLE, TRADING_EXCHANGE_NOT_SUPPORTED, TRADING_ROUTE_NOT_FOUND, TRADING_ROUTE_UNAVAILABLE, TRADING_ORDER_TYPE_NOT_SUPPORTED, TRADING_ORDER_NOT_FOUND, TRADING_PROVIDER_ERROR, INFO_ASSET_REQUIRED, INFO_FEE_EXCHANGE_NOT_SUPPORTED, ENRICHMENT_NETWORK_NOT_SUPPORTED, ENRICHMENT_TIMEOUT, ENRICHMENT_API_ERROR - Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
Was this page helpful?